<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.2"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>VivianUI: ModelManipulator Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">VivianUI
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.2 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "search",'Search','.html');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('class_model_manipulator.html',''); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#properties">Properties</a> &#124;
<a href="class_model_manipulator-members.html">List of all members</a>  </div>
  <div class="headertitle"><div class="title">ModelManipulator Class Reference</div></div>
</div><!--header-->
<div class="contents">
<div class="dynheader">
Inheritance diagram for ModelManipulator:</div>
<div class="dyncontent">
 <div class="center">
  <img src="class_model_manipulator.png" alt=""/>
 </div></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pub-methods" name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:ade3d96a041f994de169292520770b56f"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_model_manipulator.html#ade3d96a041f994de169292520770b56f">Unselect</a> ()</td></tr>
<tr class="memdesc:ade3d96a041f994de169292520770b56f"><td class="mdescLeft">&#160;</td><td class="mdescRight">Unselects an element.  <a href="class_model_manipulator.html#ade3d96a041f994de169292520770b56f">More...</a><br /></td></tr>
<tr class="separator:ade3d96a041f994de169292520770b56f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa07b5a7f24935046611034fb81eff4b0"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_model_manipulator.html#aa07b5a7f24935046611034fb81eff4b0">SetTarget</a> (GameObject obj)</td></tr>
<tr class="memdesc:aa07b5a7f24935046611034fb81eff4b0"><td class="mdescLeft">&#160;</td><td class="mdescRight">Defines the target that the camera should aim at or rotate around.  <a href="class_model_manipulator.html#aa07b5a7f24935046611034fb81eff4b0">More...</a><br /></td></tr>
<tr class="separator:aa07b5a7f24935046611034fb81eff4b0"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="properties" name="properties"></a>
Properties</h2></td></tr>
<tr class="memitem:ac3b869fd71856184e37e4c1c21c85c0d"><td class="memItemLeft" align="right" valign="top"><a id="ac3b869fd71856184e37e4c1c21c85c0d" name="ac3b869fd71856184e37e4c1c21c85c0d"></a>
Transform&#160;</td><td class="memItemRight" valign="bottom"><b>Target</b><code> [get]</code></td></tr>
<tr class="separator:ac3b869fd71856184e37e4c1c21c85c0d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae16c9faae6ba7e68c765a3ebf260ef99"><td class="memItemLeft" align="right" valign="top"><a id="ae16c9faae6ba7e68c765a3ebf260ef99" name="ae16c9faae6ba7e68c765a3ebf260ef99"></a>
GameObject&#160;</td><td class="memItemRight" valign="bottom"><b>SelectedElement</b><code> [get]</code></td></tr>
<tr class="separator:ae16c9faae6ba7e68c765a3ebf260ef99"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a726972a021e6412b321eed5515c02241"><td class="memItemLeft" align="right" valign="top"><a id="a726972a021e6412b321eed5515c02241" name="a726972a021e6412b321eed5515c02241"></a>
bool&#160;</td><td class="memItemRight" valign="bottom"><b>Initialized</b><code> [get]</code></td></tr>
<tr class="separator:a726972a021e6412b321eed5515c02241"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<h2 class="groupheader">Member Function Documentation</h2>
<a id="aa07b5a7f24935046611034fb81eff4b0" name="aa07b5a7f24935046611034fb81eff4b0"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aa07b5a7f24935046611034fb81eff4b0">&#9670;&nbsp;</a></span>SetTarget()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void ModelManipulator.SetTarget </td>
          <td>(</td>
          <td class="paramtype">GameObject&#160;</td>
          <td class="paramname"><em>obj</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Defines the target that the camera should aim at or rotate around. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">obj</td><td>The target to set.</td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a id="ade3d96a041f994de169292520770b56f" name="ade3d96a041f994de169292520770b56f"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ade3d96a041f994de169292520770b56f">&#9670;&nbsp;</a></span>Unselect()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void ModelManipulator.Unselect </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Unselects an element. </p>

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li>/home/chris/dev/unity/VivianUI/Assets/Scripts/<a class="el" href="_model_manipulator_8cs.html">ModelManipulator.cs</a></li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="class_model_manipulator.html">ModelManipulator</a></li>
    <li class="footer">Generated on Mon Dec 20 2021 15:26:14 for VivianUI by <a href="https://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.2 </li>
  </ul>
</div>
</body>
</html>
